Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.ehealth.businessconnector.vsbnet.async.session
Class VsbNetSessionServiceFactory

    java.lang.Object
      be.ehealth.technicalconnector.session.AbstractSessionServiceFactory
          be.ehealth.businessconnector.vsbnet.async.session.VsbNetSessionServiceFactory

    public final class VsbNetSessionServiceFactory

extends AbstractSessionServiceFactory

Factory for `VsbNetMohmService`

Method Summary
`static VsbNetInsurabilityService` | `getVsbNetInsurabilityService()` Gets the `VsbNetInsurabilityService` instance
`static VsbNetInvoiceService` | `getVsbNetInvoiceService()` Gets the `VsbNetInvoiceService` instance
`static VsbNetMohmService` | `getVsbNetMohmService()` Gets the `VsbNetMohmService` instance

Methods inherited from class be.ehealth.technicalconnector.session.AbstractSessionServiceFactory
`flushCache`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getVsbNetMohmService

    public static VsbNetMohmService getVsbNetMohmService()
                                                  throws ConnectorException

  Gets the `VsbNetMohmService` instance

  Throws:
    `ConnectorException`

### getVsbNetInvoiceService

    public static VsbNetInvoiceService getVsbNetInvoiceService()
                                                        throws ConnectorException

  Gets the `VsbNetInvoiceService` instance

  Throws:
    `ConnectorException`

### getVsbNetInsurabilityService

    public static VsbNetInsurabilityService getVsbNetInsurabilityService()
                                                                  throws ConnectorException

  Gets the `VsbNetInsurabilityService` instance

  Throws:
    `ConnectorException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging TRUSSMAKER 3.24.0-beta-4 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.